## org.eclipse.datatools.enablement.sybase.asa.baseloaders
Class TableASABaseLoader

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.baseloaders.TableASABaseLoader

Direct Known Subclasses:
  BaseTableASABaseLoader, SybaseASABaseViewTableLoader

    public abstract class TableASABaseLoader

extends java.lang.Object

Nested Class Summary
`static class` `TableASABaseLoader.ASABaseColumnLoader`
`static interface` `TableASABaseLoader.IASABaseLoaderTable`

Constructor Summary
`TableASABaseLoader(Table catalogTable)`

Method Summary
`void` `loadColumns(org.eclipse.emf.common.util.EList columnContainmentList)`
`void` `loadIndices(org.eclipse.emf.common.util.EList indexConstainmentList)`
`void` `loadTableInfo()`
`void` `loadTriggers(org.eclipse.emf.common.util.EList triggerContainmentList)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableASABaseLoader

    public TableASABaseLoader(Table catalogTable)

Method Detail

### loadColumns

    public final void loadColumns(org.eclipse.emf.common.util.EList columnContainmentList)

### loadIndices

    public final void loadIndices(org.eclipse.emf.common.util.EList indexConstainmentList)

### loadTriggers

    public final void loadTriggers(org.eclipse.emf.common.util.EList triggerContainmentList)

### loadTableInfo

    public final void loadTableInfo()